DROP VIEW(7)

NAME
DROP VIEW - remove a view

SYNOPSIS

DROP VIEW name [, ...] [ CASCADE | RESTRICT ]

  INPUTS

name
    The name (optionally schema-qualified) of an existing view.

CASCADE
    Automatically drop objects that depend on the view (such as other views).

RESTRICT
    Refuse to drop the view if there are any dependent objects. This is the default.

  OUTPUTS

DROP VIEW
    The message returned if the command is successful.

ERROR: view name does not exist
    This message occurs if the specified view does not exist in the database.

DESCRIPTION

DROP VIEW drops an existing view from the database. To execute this command you must be the owner of the view.

  NOTES

Refer to CREATE VIEW [create_view(7)] for information on how to create views.

USAGE

This command will remove the view called kinds:

DROP VIEW kinds;

COMPATIBILITY

  SQL92